package com.bonus.canteen.core.customer.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

@TableName("cust_psn_type")
@ApiModel("人员类别表")
@Data
public class CustPsnType {
   private static final long serialVersionUID = 1L;
   @TableId
   private Long id;
   private Integer psnType;
   private String psnTypeName;
   private Integer delFlag;
   private Integer revision;
   private String crby;
   private Date crtime;
   private String upby;
   private Date uptime;

   public Long getId() {
      return this.id;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getPsnTypeName() {
      return this.psnTypeName;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public Date getUptime() {
      return this.uptime;
   }

   public CustPsnType setId(final Long id) {
      this.id = id;
      return this;
   }

   public CustPsnType setPsnType(final Integer psnType) {
      this.psnType = psnType;
      return this;
   }

   public CustPsnType setPsnTypeName(final String psnTypeName) {
      this.psnTypeName = psnTypeName;
      return this;
   }

   public CustPsnType setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public CustPsnType setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public CustPsnType setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public CustPsnType setCrtime(final Date crtime) {
      this.crtime = crtime;
      return this;
   }

   public CustPsnType setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public CustPsnType setUptime(final Date uptime) {
      this.uptime = uptime;
      return this;
   }




}
